Page MenuHomeFreeBSD

arm/ralink cleanup and delete NON INTRNG code
ClosedPublic

Authored by yamori813_yahoo.co.jp on Aug 8 2018, 8:04 AM.

Details

Test Plan

on Buffalo_WZR2-G300N

Diff Detail

Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 18637
Build 18324: arc lint + arc unit

Event Timeline

imp accepted this revision.Aug 8 2018, 6:10 PM

generally I like it, but there's two unrelated changes, I think, in here.

sys/arm/ralink/rt1310_machdep.c
35

this looks unintentional...

127

this looks unintentional...

This revision is now accepted and ready to land.Aug 8 2018, 6:10 PM
  • too mach delete INTRNG
  • refict review
This revision now requires review to proceed.Aug 8 2018, 9:57 PM
imp accepted this revision.Aug 8 2018, 9:58 PM

Perfect! Thank you for such a prompt cleanup.

This revision is now accepted and ready to land.Aug 8 2018, 9:58 PM
  • forget add kernel address setting
This revision now requires review to proceed.Aug 10 2018, 5:14 AM
imp accepted this revision.Aug 10 2018, 1:47 PM

I'll commit this later today if there's no objections

This revision is now accepted and ready to land.Aug 10 2018, 1:47 PM
manu added a subscriber: manu.Aug 10 2018, 2:03 PM
manu added inline comments.
sys/arm/ralink/std.ralink
10

Is PHYADDR needed ?
It seems that it's only needed if KERNVIRTADDR!=KERNBASE or if one use FLASHADDR/LOADERADDR

imp added inline comments.Aug 11 2018, 2:46 PM
sys/arm/ralink/std.ralink
10

Looking at the code, I agree. It appears to be copied from the kirkwood config files, where at least one of them does actually use it. I'm going to leave it to get this change in.

This revision was automatically updated to reflect the committed changes.